package de.willemer.kameraonactivityresult;

import androidx.appcompat.app.AppCompatActivity;
import androidx.core.app.ActivityCompat;
import androidx.core.content.ContextCompat;

import android.Manifest;
import android.content.Intent;
import android.content.pm.PackageManager;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.net.Uri;
import android.os.Bundle;
import android.os.Environment;
import android.provider.MediaStore;
import android.view.View;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.Toast;

import java.io.File;

public class MainActivity extends AppCompatActivity implements View.OnClickListener {

    private String dateiname = Environment.getExternalStorageDirectory()+"/bild.png";
    private String[] permissions = {
        Manifest.permission.CAMERA,
        Manifest.permission.READ_EXTERNAL_STORAGE,
        Manifest.permission.WRITE_EXTERNAL_STORAGE};

    private boolean pruefeRechteLage(String[] rechte) {
        boolean ok = true;
        for (String recht : rechte) {
            if (ContextCompat.checkSelfPermission(this, recht)
                    != PackageManager.PERMISSION_GRANTED) {
                ok = false;
            }
        }
        return ok;
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        // Berechtigungen prüfen und ggf hinterfragen
        if ( ! pruefeRechteLage(permissions)) {
            ActivityCompat.requestPermissions(MainActivity.this,
                    permissions, 123);
        }
        // Stelle den Button scharf
        Button bt = (Button) findViewById(R.id.button);
        bt.setOnClickListener(this);
    }

    @Override
    public void onClick(View view) {
        if (pruefeRechteLage(permissions)) {
            File file = new File(dateiname);
            Uri uri = Uri.fromFile(file);
            Intent intent = new Intent(MediaStore.ACTION_IMAGE_CAPTURE);
            intent.putExtra(MediaStore.EXTRA_OUTPUT, uri);
            startActivityForResult(intent, 123);
        }
    }
    @Override
    protected void onActivityResult(int requestCode,
            int resultCode, Intent intent) {
        if (resultCode==RESULT_OK) {
            Bitmap bm = BitmapFactory.decodeFile(dateiname);
            if (bm==null) {
                Toast.makeText(this, "Kein Bild vorhanden!",
                        Toast.LENGTH_LONG).show();
            } else {
                ImageView iv = (ImageView) findViewById(
                        R.id.imageView);
                iv.setImageBitmap(bm);
            }
        }
        super.onActivityResult(requestCode, resultCode, intent);
    }


}